<template>
  <div class="text-muted-light" :class="{'me':isSent}" v-if="!isSent">
    <small>{{name}}</small>
  </div>
</template>

<script>
export default {
  props: {
    message: {
      type: Object,
      default: null
    },
    isSent: false
  },
  computed: {
    name() {
      if (this.message.messageable.nickname) {
        return _.capitalize(this.message.messageable.nickname);
      }
      return _.capitalize(this.message.messageable.name);
    }
  }
};
</script>
